using System;

namespace petlja_4
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(" ");
            int N = int.Parse(s[0]);
            int M = int.Parse(s[1]);
            int[,] n = new int[N, 2];
            int[,] m = new int[M, 3];
            for (int i = 0; i < N; i++)
            {
                string[] a = Console.ReadLine().Split(" ");
                n[i, 0] = int.Parse(a[0]);
                n[i, 1] = int.Parse(a[1]);
            }
            for (int i = 0; i < M; i++)
            {
                string[] a = Console.ReadLine().Split(" ");
                m[i, 0] = int.Parse(a[0]);
                m[i, 1] = int.Parse(a[1]);
                m[i, 2] = int.Parse(a[2]);
            }
            for(int i=0;i<M;i++)
            {
                int d = 0;
                for(int j=m[i,0]-1;j<=m[i,1]-1 ;j++)
                {
                    if(m[i,2]>=n[j,0]&&m[i,2]<=n[j,1])
                    {
                        d++;
                    }
                }
                Console.WriteLine(d);
            }

        }
    }
}